Viewing Issue Advanced Details
ID Category [?] Severity [?] Reproducibility Date Submitted Last Update
01453 Crash/Freeze Critical (emulator) Have not tried Mar 1, 2008, 14:13 Mar 16, 2008, 03:54
Tester Firewave View Status Public Platform MAME (Self-compiled)
Assigned To Resolution Fixed OS Windows XP/Vista 32-bit
Status [?] Resolved Driver m57.cpp
Version 0.123u3 Fixed in Version 0.123u6 Build Debug
Fixed in Git Commit Github Pull Request #
Summary 01453: troangel, newtangl: Crashes
Description -----------------------------------------------------
Exception at EIP=00EDB9BB (decodechar+0x039e): ACCESS VIOLATION
While attempting to read memory at 0E92D000
-----------------------------------------------------
EAX=0E92D000 EBX=10411000 ECX=00000100 EDX=00000000
ESI=00000100 EDI=00000000 EBP=0022FBA8 ESP=0022FBA8
-----------------------------------------------------
Stack crawl:
exception-> 00EDB9BB (decodechar+0x039e)
0022FC2C: 00EDBDB8 (decodegfx+0x010b)
0022FC5C: 00EAEFC1 (video_vblank_start+0x08df)
0022FD3C: 00F03262 (palette_config+0x003b)
0022FFF8: 00401280 (mainCRTStartup+0x0000)
Steps To Reproduce
Additional Information
Github Commit
Flags
Regression Version 0.122u8
Affected Sets / Systems troangel, newtangl
Attached Files
 
Relationships
There are no relationship linked to this issue.
Notes
2
User avatar
No.00170
zsoltvasvari
Developer
Mar 15, 2008, 14:25
Is this still an issue in U5? I don't see it happening.
User avatar
No.00173
Tafoid
Administrator
Mar 15, 2008, 14:53
I still get the crash here in my Debug 0.123u5 - pretty quickly too:

F:\MAMESRC>mamed troangel

-----------------------------------------------------
Exception at EIP=009AE5A5: ACCESS VIOLATION
While attempting to read memory at 0C94D000
-----------------------------------------------------
EAX=0000C000 EBX=00000001 ECX=00000000 EDX=00060000
ESI=0ED39100 EDI=0C941000 EBP=0022DB88 ESP=0022DAD0